Page 2 of 2 FirstFirst 12
Results 11 to 15 of 15

Thread: Dreamtor plugin - OE1.6

  1. #11
    Newbie
    Join Date
    Jun 2016
    Posts
    9
    Post Thanks / Like
    Rep Power
    0

    Default Re: Dreamtor plugin - OE1.6

    where is torrsocks.conf?

  2. #12
    Newbie
    Join Date
    Jun 2016
    Posts
    9
    Post Thanks / Like
    Rep Power
    0

    Default Re: Dreamtor plugin - OE1.6

    i had installed libcrypto 1.0.0 and then removed 0.9.8 from /usr/lib. then created a symbolic link:

    ln -s /usr/lib/libcrypto.so.1.0.0 /usr/lib/libcrypto.so.0.9.8

    after that the rest of the packages installed succesfully. But now when i run TOR it says 0.9.8 is not found.

    root@dm800se:/etc/init.d# tor start

    tor: /usr/lib/libcrypto.so.0.9.8: version `OPENSSL_0.9.8' not found (required by tor)
    tor: /usr/lib/libcrypto.so.0.9.8: version `OPENSSL_0.9.8' not found (required by /usr/lib/libssl.so.0.9.8)

    when i do a opkg list-installed, it returns that both are installed:

    libcrypto0.9.8 - 0.9.8m-r14.1
    libcrypto1.0.0 - 1.0.0


    how do i force it to use 1.0.0 ??

  3. #13
    Newbie
    Join Date
    Jun 2016
    Posts
    9
    Post Thanks / Like
    Rep Power
    0

    Default Re: Dreamtor plugin - OE1.6

    same for libssl, both versions are installed:

    libssl1.0.0 - 1.0.0
    libssl0.9.8

    I removed libssl 0.9.8 and libcrypto 0.9.8 now.

    but now when i run Tor:

    root@dm800se:/etc/init.d# tor start
    tor: error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory

    any ideas ??

  4. #14
    Newbie
    Join Date
    Jun 2016
    Posts
    9
    Post Thanks / Like
    Rep Power
    0

    Default Re: Dreamtor plugin - OE1.6

    nevermind, all fixed

  5. #15
    Newbie
    Join Date
    Jun 2016
    Posts
    9
    Post Thanks / Like
    Rep Power
    0

    Default Re: Dreamtor plugin - OE1.6

    hi satrunner, lamero®

    Its all working fine for me, but one question: is there any way you can build an .ipk (for dm800se) for me for the latest available torsocks and tor clients? would be appreciated, thanks in advance. especially tor client since it has security bug fixes and it allowes to install as service with --service parameter. torsocks is ok as it is really but newer version would be great too.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •